/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.resourcebundle.valueobject;

import java.util.List;

/**
 * リソースバンドルのキー＋値をあらわす構造体クラス。キー値と文字列を含みます。
 */
public class BlancoResourceBundleBundleItemStructure {
    /**
     * フィールド [no]
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号。
     */
    private String fNo;

    /**
     * フィールド [key]
     *
     * 項目の型 [java.lang.String]<br>
     * リソースバンドル上のキー値。
     */
    private String fKey;

    /**
     * フィールド [resourceStringList]
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * リソース文字列のリスト。BlancoResourceBundleBundleResourceStringStructureクラスのインスタンスがリストで格納されます。非Combineの場合には、MAX１件が含まれます。Combineの場合には、ロケールごとに１件。
     */
    private List fResourceStringList = new java.util.ArrayList();

    /**
     * フィールド [no]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号。
     *
     * @param argNo フィールド[no]に格納したい値
     */
    public void setNo(final String argNo) {
        fNo = argNo;
    }

    /**
     * フィールド[no]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号。
     *
     * @return フィールド[no]に格納されている値
     */
    public String getNo() {
        return fNo;
    }

    /**
     * フィールド [key]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * リソースバンドル上のキー値。
     *
     * @param argKey フィールド[key]に格納したい値
     */
    public void setKey(final String argKey) {
        fKey = argKey;
    }

    /**
     * フィールド[key]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * リソースバンドル上のキー値。
     *
     * @return フィールド[key]に格納されている値
     */
    public String getKey() {
        return fKey;
    }

    /**
     * フィールド [resourceStringList]のセッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * リソース文字列のリスト。BlancoResourceBundleBundleResourceStringStructureクラスのインスタンスがリストで格納されます。非Combineの場合には、MAX１件が含まれます。Combineの場合には、ロケールごとに１件。
     *
     * @param argResourceStringList フィールド[resourceStringList]に格納したい値
     */
    public void setResourceStringList(final List argResourceStringList) {
        fResourceStringList = argResourceStringList;
    }

    /**
     * フィールド[resourceStringList]のゲッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * リソース文字列のリスト。BlancoResourceBundleBundleResourceStringStructureクラスのインスタンスがリストで格納されます。非Combineの場合には、MAX１件が含まれます。Combineの場合には、ロケールごとに１件。
     *
     * @return フィールド[resourceStringList]に格納されている値
     */
    public List getResourceStringList() {
        return fResourceStringList;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.resourcebundle.valueobject.BlancoResourceBundleBundleItemStructure[");
        buf.append("no=" + fNo);
        buf.append(",key=" + fKey);
        buf.append(",resourceStringList=" + fResourceStringList);
        buf.append("]");
        return buf.toString();
    }
}
